org.apache.solr.client.solrj.response

## Class FieldStatsInfo

- java.lang.Object
- - org.apache.solr.client.solrj.response.FieldStatsInfo

All Implemented Interfaces:
  Serializable

    public class FieldStatsInfo
    extends Object
    implements Serializable

Holds stats info

Since:
  solr 1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FieldStatsInfo(NamedList<Object> nl, String fname)`

### Method Summary

Methods
`Long` `getCount()`
`Long` `getCountDistinct()`
`Collection<Object>` `getDistinctValues()`
`Map<String,List<FieldStatsInfo>>` `getFacets()`
`Object` `getMax()`
`Object` `getMean()`
`Object` `getMin()`
`Long` `getMissing()`
`String` `getName()`
`Double` `getStddev()`
`Object` `getSum()`
`Double` `getSumOfSquares()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldStatsInfo

    public FieldStatsInfo(NamedList<Object> nl,
                  String fname)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getName

    public String getName()

#### getMin

    public Object getMin()

#### getMax

    public Object getMax()

#### getSum

    public Object getSum()

#### getCount

    public Long getCount()

#### getCountDistinct

    public Long getCountDistinct()

#### getDistinctValues

    public Collection<Object> getDistinctValues()

#### getMissing

    public Long getMissing()

#### getMean

    public Object getMean()

#### getStddev

    public Double getStddev()

#### getSumOfSquares

    public Double getSumOfSquares()

#### getFacets

    public Map<String,List<FieldStatsInfo>> getFacets()